<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreatePago extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('pago')
			->addColumn('valor', 'double', ['null' => false])
			->addColumn('banco', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('tipo', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('identificador', 'string', ['length' => 50, 'default' => null, 'null' => true])
			->addColumn('fecha', 'date', ['default' => null, 'null' => true])
			->addColumn('uf', 'double', ['default' => null, 'null' => true])
			->addColumn('pagador', 'string', ['length' => 50, 'default' => null, 'null' => true])
			->addColumn('asociado', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
